Bug 820191 - Javadoc typo: changed StoreNorm -> Norms
Javadoc typo: changed StoreNorm -> Norms
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: HibernateSearch (Show other bugs)
2.0.0.ER5
Unspecified Unspecified
low Severity low
: ER2
: 2.2.0
Assigned To: Strong Liu
thradec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 07:29 EDT by Emmanuel Bernard
Modified: 2016-07-31 21:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Javadoc Documentation for ClassBridge should mention Norms instead of StoreNorm as returned type.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 10:50:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Bernard 2012-05-09 07:29:58 EDT
https://hibernate.onjira.com/browse/HSEARCH-1114

Fixed in upstream/master
Comment 1 Strong Liu 2012-05-11 09:07:07 EDT
it is fixed in prod branch now and will be released within WFK 2.0 ER6
Comment 2 Karel Piwko 2012-06-04 08:14:28 EDT
Not fixed, still present in 

./hibernate-search-engine/src/main/java/org/hibernate/search/annotations/ClassBridge.java:       * @return Returns a {@code StoreNorm}
Comment 3 Karel Piwko 2012-06-20 11:50:08 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Javadoc Documentation for ClassBridge should mention Norms instead of StoreNorm as returned type.
Comment 6 Brett Meyer 2012-10-22 11:33:35 EDT
The fix was already made in the product branch, but it must never have been released.

http://git.app.eng.bos.redhat.com/?p=hibernate/hibernate-search.git;a=commit;h=4a9a3a51c58331fdd9c5049e3eebddbc93cd2fcf

Does this need patched in 2.1, or can it wait till 2.2?
Comment 8 thradec 2013-02-20 05:02:57 EST
should be fixed in wfk-2.2 with hsearch-4.2
Comment 11 thradec 2013-03-11 08:29:27 EDT
verified on org.hibernate:hibernate-search-engine:4.2.0.Final-redhat-wfk-1 in wfk-2.2.0.ER2
Comment 12 Karel Piwko 2013-05-14 10:50:28 EDT
Closed as CURRENTRELEASE, part of WFK 2.2.0 distributables.

Note You need to log in before you can comment on or make changes to this bug.